<?php
/**
 * Šablona pro zobrazení komentářů u článku
 *
 * @package SvetNaRuce
 * @subpackage Theme
 * @since 0.0.1
 */
if ( post_password_required() ) {
	return;
}
?>
<section id="comments" class="comments-area">
    <h2 class="promotion">Komentáře: </h2>
	<?php if ( have_comments() ) { ?>
    
    <ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'       => 'ol',
					'short_ping'  => false,
					'avatar_size' => 20,

				) );
			?>
		</ol><!-- .comment-list -->
        <?php } else {
            echo 'Zatím nejsou žádné komentáře, buďte první!';
        } // have_comments() ?>

                <?php 
                get_template_part('comment-form');
                if(!comments_open()) {
                    echo '<div class="comments-closed">Komentáře jsou pro tento článek uzavřeny.</div>';
                }
                ?>

                
</section><!-- .comments-area -->