jQuery.noConflict();
(function($) {
    // Inside of this function, $() will work as an alias for jQuery()
    // and other libraries also using $ will not be accessible under this shortcut


$(window).load(function(){
    // set sidebar proper height
    checkSize();
    setMobileMenuHeight();
//  addMenuIcon();
    stickIt();
    $(window).resize(checkSize);
    $(window).resize(stickIt);
    $(window).resize(setMobileMenuHeight);
    
    
    
    $("nav .expanded>a").click(function() {
        if($("label[for=nav-trigger]").css("display")!=="none") {
           if($(this).next("ul").hasClass("sub-visible")) {
            $(this).next("ul").removeClass("sub-visible");
        } else {
            $(this).next("ul").addClass("sub-visible");
        }
        } 
    });
});

function checkSize() {
    if ($("#sidebar").css("float") !== "right") {
        $("#sidebar").css("min-height", "auto");
    } else {
        var height = $("#content").outerHeight(true) - $(".paginate").outerHeight(true);
        $("#sidebar").css("min-height", height);
    }
}

function setMobileMenuHeight() {
    var barHeight = $("#toolbar").outerHeight(true);
    var menuTop = $("header").outerHeight(true);
    var soucet = parseFloat(barHeight) + parseFloat(menuTop);
    if( ($("label[for=nav-trigger]").css("display")!=="none") && ($("#toolbar").outerHeight(true)>1) ){
        $("nav").css("top", soucet);
    } else {
        $("nav").css("top", "");
    }
}



function stickIt() {
   if(($("body").hasClass("toolbar")) && (!$("body").hasClass("toolbar-drawer"))   ) {
        $(".stick-wrapper").stick_in_parent({offset_top: 40});
    } else if($("body").hasClass("toolbar-drawer")){
        $(".stick-wrapper").stick_in_parent({offset_top: 75});
    } else {
        $(".stick-wrapper").stick_in_parent({offset_top: 20});
    }
}
 
})(jQuery);


