<?php 
/**
 * Šablona pro zobrazení výsledků vyhledávání
 *
 * @package SvetNaRuce
 * @subpackage Theme
 * @since 0.0.1
 */
get_header();
global $wp_query;
?>
<div id="content">
<h1>Vyhledávání: <?php echo get_search_query(true)?></h1> 
<div class="normal-posts">
        <?php
        if (have_posts()) {
            $counter = 0;
            while (have_posts()) {
                the_post();
                get_template_part('post-normal');
                // po pátém příspěvku zobrazí reklamu
                $counter++;
                if ($counter == 5) {
                    get_template_part('ad-inline');
                }
            }
            ?> <div class="paginate">
            <?php if ($paged != $wp_query->max_num_pages) {
                if (!empty(get_previous_posts_link())) {
                    ?>
                        <div class="nav-previous align-left"><?php next_posts_link('Starší příspěvky'); ?></div>
                    <?php } else { ?>
                        <div class="nav-previous align-center"><?php next_posts_link('Starší příspěvky'); ?></div>
                    <?php }
                }
                ?>       
                <div class="nav-next align-right"><?php previous_posts_link('Novější příspěvky'); ?></div>
            </div><!-- /paginate -->
        <?php } else {
            ?>
            <div>Nejsou žádné příspěvky</div>
            <div class="paginate">
                <div class="nav-next align-right"><?php previous_posts_link('Novější příspěvky'); ?></div>
            </div><!-- /paginate -->


        <?php
        }
        wp_reset_postdata();
        ?>

    </div>  <!--konec normal-posts-->
</div> <!--konec content--> 
<?php get_sidebar(); ?>
<?php get_footer(); ?>
