<?php
/**
 * Šablona pro zobrazení sidebaru
 *
 * @package SvetNaRuce
 * @subpackage Theme
 * @since 0.0.1
 */
?>
<aside id="sidebar">
    <div class="stick-wrapper">
    <?php
    // zobrazení reklamy
    get_template_part('ad-square'); 
    
   
                // registrace widgetu do sidebaru. Pokud zde není žádný widget, vyplní se placeholder s nápovědou, jak text změnit
                if(is_active_sidebar('right-sidebar-1')){
                dynamic_sidebar('right-sidebar-1');
                } else {
                    the_widget('WP_Widget_Text', array('title' => 'Widgetyy', 'text' => 'Sem můžete vkládat widgety do oblasti "pravý sidebar".'), array(
                'before_title' => '<h3 class="widget-title">',
                'after_title' => '</h3>',));
                }
                ?>
           <?php 
           // Pokud zalogovaný eser může editovat widgety, zobrazí se link pro editaci
           if(current_user_can('edit_theme_options')) {
               echo '<a class="widget-edit-link" href="'.get_admin_url(NULL, 'widgets.php').'">Editovat <i class="material-icons small">create</i></a>';
           } 
    

/* Výběr posledních pěti "Sticky" postů */
$sticky = get_option('sticky_posts');
rsort($sticky);
$already_displayed = array();

/* Upravený loop */
$sticky_loop = new WP_Query(array(
    'post_type' => 'post',
    'post__in' => $sticky,
    'posts_per_page' => 5,
    'ignore_sticky_posts' => 1
        ));
if ($sticky_loop->have_posts()) { ?>
    <div class="sidebar-featured"> 
        <h3>Doporučujeme:</h3>    
        <ul>

 <?php    while ($sticky_loop->have_posts()) {
        $sticky_loop->the_post();  ?>
     <li class="sidebar-featured-post" ><a href="<?php the_permalink(); ?>" ><?php the_title(); ?></a></li>
    

<?php  }   ?> </ul></div> 
 <?php
    } 
    // reset loopu na konci
    wp_reset_postdata();
    ?>
    </div>
   
    
    
</aside><!-- konec sidebaru -->
<?php if(is_singular()): ?>
</article><!-- konec article -->
<?php endif; ?>
</main><!-- konec main wrapperu -->
