<article <?php post_class('single-article'); ?>>
    
    <header id="article-header">
        <h1> <?php the_title(); ?> </h1>
        <?php if(has_excerpt()){ ?>
            <div class="post-excerpt">
                <?php the_excerpt();  ?>
            </div>    
        <?php } ?>
        <div class="post-meta">
            <div class="out-of-box">    <?php echo get_avatar( get_the_author_meta( 'ID' ), 40 ); ?> </div>
        <div class="in-the-box">
            <span class="author-name"><?php the_author(); ?></span>
            
            <span class="post-date"> | <?php the_date(); ?></span>
        <?php if(comments_open()) {
                    echo '<span class="comments"> | <a href="'.get_comments_link().'">'.get_the_comments().'</a></span>';
                    } ?>  </div>
        </div>
    </header>
    <section id="content">
        <div class="tags-links">
        <?php get_random_classed_tags();?> 
        </div>
        <section class="post-wrapper">
        <?php the_post_thumbnail();
        the_content(); ?>
        </section>
    
          
      <?php  
      if(function_exists('wp_related_posts')) {
          wp_related_posts();
      } else if(current_user_can('activate_plugins')) {
          echo 'ADMINE POZOR!! Pokud aktivuješ plugin s názvem "Related posts", zobrazí se zde podobné články.';
      }

	if ( comments_open() || get_comments_number() ) :
            comments_template();
	endif;  ?>
        
    </section>

